package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.TabAccess;

import java.util.List;

/**
 * <p>
 * 接入方管理 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-03
 */
public interface ITabAccessService extends IService<TabAccess> {

    List<TabAccess> getTabAccessList(TabAccess tabAccess);

    AjaxResult getTabAccessById(Long id);

    AjaxResult insertTabAccess(TabAccess tabAccess);

    AjaxResult updateTabAccessById(TabAccess tabAccess);

    AjaxResult falseDeleteTabAccessById(TabAccess tabAccess);

    AjaxResult importData(List<TabAccess> tabAccessList);

}
